PETSc version 3.15.5
Fix/Edit manual page

# MatCreateHermitianTranspose

Creates a new matrix object that behaves like A'*

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCreateHermitianTranspose(Mat A,Mat *N)

Collective on Mat

### Input Parameter

| A | - the (possibly rectangular) matrix

### Output Parameter

| N | - the matrix that represents A'*

### Notes

The hermitian transpose A' is NOT actually formed! Rather the new matrix object performs the matrix-vector product by using the MatMultHermitianTranspose() on the original matrix

### See Also

MatCreateNormal(), MatMult(), MatMultHermitianTranspose(), MatCreate()

### Level

intermediate

### Location

src/mat/impls/transpose/htransm.c

### Examples

src/ksp/ksp/tutorials/ex81.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages